Subject: Re: EXWM doesn't launch from login screen anymore
From: youganon <[email-masked]>
To: [email-masked]
Date: Sat, 2 Aug 2025 02:05:50 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

An update: I've mailed to help-guix list members, too.

Youganon

On Fri, Aug 1, 2025 at 10:47 PM youganon <[email-masked]> wrote:

> Hi,
>
> I'm an EXWM user on GuixSD. Lately I had the need to use adb (Android
> debugger), for which I modified my `config.scm` file. I removed the
> `%desktop-services` variable and instead modified it so that my phone
> device could be detected. This was done because I got a message that dbus
> (and udev sometimes) was being used by another service.
>
> Now, my phone is detected with adb, but I'm unable to use EXWM from the
> login screen at startup; it doesn't launch at all. When I choose
> "emacs-exwm" from the login screen options, I'm thrown back at login. (Xfce
> option works fine, however.)
>
> I would really appreciate if you could check my config.scm file attached
> help me to get EXWM from login screen back again.
>
> If this may be the wrong channel for this issue, please let me know the
> proper channel for this issue.
>
> Thank you.
>
> Youganon
>